> For the complete documentation index, see [llms.txt](https://docs.seldon.ai/alibi-explain/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.seldon.ai/alibi-explain/api-reference/utils/wrappers.md).

# alibi.utils.wrappers

## `ArgmaxTransformer`

A transformer for converting classification output probability tensors to class labels. It assumes the predictor is a callable that can be called with a `N`-tensor of data points `x` and produces an `N`-tensor of outputs.

### Constructor

```python
ArgmaxTransformer(self, predictor)
```

| Name        | Type | Default | Description |
| ----------- | ---- | ------- | ----------- |
| `predictor` |      |         |             |

## `Predictor`

### Constructor

```python
Predictor(self, clf, preprocessor=None)
```

| Name           | Type | Default | Description |
| -------------- | ---- | ------- | ----------- |
| `clf`          |      |         |             |
| `preprocessor` |      | `None`  |             |

## Functions

### `methdispatch`

```python
methdispatch(func)
```

A decorator that is used to support singledispatch style functionality for instance methods. By default, singledispatch selects a function to call from registered based on the type of args\[0]::

```
def wrapper(*args, **kw):
    return dispatch(args[0].__class__)(*args, **kw)
```

This uses singledispatch to do achieve this but instead uses `args[1]` since `args[0]` will always be self.

| Name   | Type | Default | Description |
| ------ | ---- | ------- | ----------- |
| `func` |      |         |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.seldon.ai/alibi-explain/api-reference/utils/wrappers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
